be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional

## Class MemberDataWalCareNetService

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
  - - be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional.MemberDataWalCareNetService

- All Implemented Interfaces:
    CommonAsyncService, MemberDataService

      public class MemberDataWalCareNetService
      extends DefaultCommonAsyncService
      implements MemberDataService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberDataWalCareNetService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessedGetResponse<byte[]>` | `getMDAXml(GetRequest request)`
    `ProcessedPostResponse` | `postEncryptedMDAXml(byte[] records, InputReference inputReference)`
    `ProcessedPostResponse` | `postMDAXml(byte[] records, InputReference inputReference)`

    - ### Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- - ### Constructor Detail

    - #### MemberDataWalCareNetService

          public MemberDataWalCareNetService()

  - ### Method Detail

    - #### getMDAXml

          public ProcessedGetResponse<byte[]> getMDAXml(GetRequest request)
                                                 throws ConnectorException

      Specified by:
        `getMDAXml` in interface `MemberDataService`
      Throws:
        `ConnectorException`

    - #### postMDAXml

          public ProcessedPostResponse postMDAXml(byte[] records,
                                                  InputReference inputReference)
                                           throws ConnectorException

      Specified by:
        `postMDAXml` in interface `MemberDataService`
      Throws:
        `ConnectorException`

    - #### postEncryptedMDAXml

          public ProcessedPostResponse postEncryptedMDAXml(byte[] records,
                                                           InputReference inputReference)
                                                    throws ConnectorException

      Specified by:
        `postEncryptedMDAXml` in interface `MemberDataService`
      Throws:
        `ConnectorException`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.